﻿@model BeerReviewViewModel

@{
    Layout = "_Layout";
}
<body>

<h4>BeerReview</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            @*<div class="form-group">
            <label asp-for="Id" class="control-label"></label>
            <input asp-for="Id" class="form-control" />
            <span asp-validation-for="Id" class="text-danger"></span>
        </div>*@
            <div class="form-group">
                <label asp-for="Content" class="control-label"></label>
                <input asp-for="Content" class="form-control" />
                <span asp-validation-for="Content" class="text-danger"></span>
            </div>
            <input type="hidden" name="BeerId" value="@Model.BeerId" />
            <input type="hidden" name="UserId" value="@Model.UserId" />
            @*<div class="form-group">
            <label asp-for="BeerId" class="control-label"></label>
            <label asp-for="BeerId" class ="form-control" asp-items="@Model.BeerId"></label>
        </div>
        <div class="form-group">
            <label asp-for="UserId" class="control-label"></label>
            <label asp-for="UserId" class ="form-control" asp-items="@Model.UserId"></label>
        </div>*@
            @*<div class="form-group">
            <label asp-for="CreatedOn" class="control-label"></label>
            <input asp-for="CreatedOn" class="form-control" />
            <span asp-validation-for="CreatedOn" class="text-danger"></span>
        </div>
        <div class="form-group">
            <label asp-for="ModifiedOn" class="control-label"></label>
            <input asp-for="ModifiedOn" class="form-control" />
            <span asp-validation-for="ModifiedOn" class="text-danger"></span>
        </div>
        <div class="form-group">
            <label asp-for="DeletedOn" class="control-label"></label>
            <input asp-for="DeletedOn" class="form-control" />
            <span asp-validation-for="DeletedOn" class="text-danger"></span>
        </div>
        <div class="form-group form-check">
            <label class="form-check-label">
                <input class="form-check-input" asp-for="IsDeleted" /> @Html.DisplayNameFor(model => model.IsDeleted)
            </label>
        </div>*@
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" asp-route="" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
</body>
